/*******************************************************************************
***  This file is part of Pecunia.                                           ***
***                                                                          ***
***  Copyright (C) 2017, 2018, 2019, 2020, 2021, 2023, 2024, 2025            ***
***  John Schneiderman <Licencing _AT_ Schneiderman _DOT_ me>                ***
***                                                                          ***
***  This program is free software: you can redistribute it and/or modify it ***
***  under the terms of the GNU Lesser General Public License as published   ***
***  by the Free Software Foundation, either version 3 of the License, or    ***
***  (at your option) any later version.                                     ***
***                                                                          ***
***  This program is distributed in the hope that it will be useful, but     ***
***  WITHOUT ANY WARRANTY; without even the implied warranty of              ***
***  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    ***
***  See the GNU Lesser General Public License for more details.             ***
***                                                                          ***
***  You should have received a copy of the GNU Lesser General Public License***
***  along with this program. If not, see <http://www.gnu.org/licenses/>.    ***
*******************************************************************************/
#ifndef PECUNIA_INFORMATION_H_
#define PECUNIA_INFORMATION_H_

#include <string>

#include <pecunia/pecunia_export.h>


namespace pecunia
{

/**
 * @brief Provides the semantic version without the metadata of the library.
 */
[[nodiscard]]
PECUNIA_EXPORT std::string version() noexcept;
/**
 * @brief Provides the semantic version with the metadata of the library.
 */
[[nodiscard]]
PECUNIA_EXPORT std::string metadataVersion() noexcept;
/**
 * @brief Provides the copyright of the library.
 */
[[nodiscard]]
PECUNIA_EXPORT std::string copyright() noexcept;
/**
 * @brief Provides the licence of the library.
 */
[[nodiscard]]
PECUNIA_EXPORT std::string licence() noexcept;
/**
 * @brief Provides the URL of the library.
 */
[[nodiscard]]
PECUNIA_EXPORT std::string url() noexcept;
/**
 * @brief Provides the description of the library.
 */
[[nodiscard]]
PECUNIA_EXPORT std::string description() noexcept;

}

#endif
